package com.doverfuelingsolutions.issp.utils.log

import android.os.Environment

class DFSLog {

    companion object {

        const val TAG = "robin"
        var console = true
        var file = true
        @Suppress("DEPRECATION")
        var folder = "${Environment.getExternalStorageDirectory().absolutePath}/dfs/log"

        fun v(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Verbose, *contents)
        }
        fun d(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Debug, *contents)
        }

        fun i(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Info, *contents)
        }

        fun w(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Warn, *contents)
        }

        fun e(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Error, *contents)
        }
    }
}